@use '../../theme/mainTheme.scss' as mainTheme;

.loginBox{
    width: 450px;
    max-width: 450px;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin: 0 auto;
    
    @media screen and (max-width: 480px) {
        width: 100%;
        max-width: 100%;
        padding: 0px 15px;
    }

    img {
        width: 301px;
        object-fit: cover;
        margin: 0 auto;
        margin-bottom: -30px;
    }

    .loginBox__register  {
        h3 {
            text-align: center;
            margin-top: 5px;
            
            @media screen and (max-width: 380px) {
                font-size: 1.2rem;
            }
        }
    }

    button{
        text-align: center;
        margin: 0 auto;
        display: block;
        position: relative;
        margin-top: 10px;
    }

    .loginBox__input{
        display: flex;
        padding-bottom: 10px;
        flex-direction: column;

        .loginBox__input__errorMessage {
            color: mainTheme.$text-colorError;
            padding-top: 5px;
        }

        label {
            font-weight: mainTheme.$font-bold;
            padding-bottom: 5px;
        }

        input{
            border-radius: 4px;
            padding: 14px;
            border: 1px solid #cbcbcb;
        }
    }

}